summaryrefslogtreecommitdiff
path: root/script/build
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-10-22 12:31:55 +0100
committerLeah Rowe <leah@libreboot.org>2023-10-22 12:34:45 +0100
commite86af9a60a6165188ec069ea519eeadb1e2ad3cc (patch)
treec242cf0d7f952a3566427c38fb7765b7a359b334 /script/build
parent23958f4eae4ecf23c2048f5df20221e94165fff6 (diff)
20231021hotfix: replace x_ with err in some places20231021fix
keymaps weren't being set in keymay.cfg of cbfs, due to use of x_ in the rom script, and x_ doesn't handle quotes or spaces in arguments well. i'm going to remove use of x_ and xx_ (it's in my todo), for next release. for now, hot patch the release. i've gone through and replaced use of x_ with || err, in some places. not just the keymap.cfg command, but others too. in case there are more issues we missed. this commit is being tagged "20231021fix" and i'm using this tag to re-build the 20231021 release. i'll just replace the tarballs in rsync and add errata to the news page announcing the release. all i did was break peoples umlauts, i didn't brick their machines fortunately! very minor bug. anyway, x_/xx_ is a great idea, but sh isn't really designed for that style of programming. i'll go back to using just || err in the next release. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/build')
-rwxr-xr-xscript/build/grub8
-rwxr-xr-xscript/build/roms12
2 files changed, 11 insertions, 9 deletions
diff --git a/script/build/grub b/script/build/grub
index ba0845d3..31fc0084 100755
--- a/script/build/grub
+++ b/script/build/grub
@@ -26,7 +26,7 @@ handle_dependencies()
[ -d "src/grub" ] || x_ ./update trees -f grub
[ -f "src/grub/grub-mkstandalone" ] || build_grub_utils
x_ mkdir -p "${elfdir}"
- x_ rm -f "${elfdir}/"*
+ rm -f "${elfdir}/"* || err "!rm elf, handle_, ${elfdir}/"
}
build_grub_utils()
@@ -37,7 +37,7 @@ build_grub_utils()
x_ ./bootstrap --gnulib-srcdir=gnulib/ --no-git
x_ ./autogen.sh
x_ ./configure --with-platform=coreboot
- x_ make -j$(nproc) FS_PAYLOAD_MODULES=""
+ make -j$(nproc) FS_PAYLOAD_MODULES="" || err "!mk grub utils"
)
}
@@ -47,8 +47,8 @@ build_keymap_configs()
[ -f "${keylayoutfile}" ] || continue
keymap="${keylayoutfile##${grubcfgsdir}/keymap/}"
keymap="${keymap%.gkb}"
- x_ printf "keymap %s\n" "${keymap}" > \
- "${elfdir}/keymap_${keymap}.cfg"
+ printf "keymap %s\n" "${keymap}" > \
+ "${elfdir}/keymap_${keymap}.cfg" || err "!insert keymap"
done
}
diff --git a/script/build/roms b/script/build/roms
index 2f7b93da..e8cd1c7f 100755
--- a/script/build/roms
+++ b/script/build/roms
@@ -136,7 +136,7 @@ prepare_target()
[ "${payload_memtest}" != "y" ] || [ -f "src/${memtest_bin}" ] || \
x_ ./update trees -b memtest86plus
- x_ rm -f "${romdir}/"*
+ rm -f "${romdir}/"* || err "!prepare, rm files, ${romdir}"
build_dependency_grub
build_dependency_uboot
@@ -274,15 +274,17 @@ build_grub_roms()
if [ "${displaymode}" = "vesafb" ] || \
[ "${displaymode}" = "corebootfb" ]; then
backgroundfile="config/grub/background/${grub_background}"
- x_ "${cbfstool}" "${tmprom}" add -f ${backgroundfile} \
- -n background.png -t raw
+ "${cbfstool}" "${tmprom}" add -f ${backgroundfile} \
+ -n background.png -t raw || err "insert background, ${backgroundfile}"
fi
tmpcfg=$(mktemp -t coreboot_rom.XXXXXXXXXX)
- x_ printf "set grub_scan_disk=\"%s\"\n" "${grub_scan_disk}" >"${tmpcfg}"
+ printf "set grub_scan_disk=\"%s\"\n" "${grub_scan_disk}" >"${tmpcfg}" \
+ || err "set grub_scandisk, ${grub_scan_disk}, ${tmpcfg}"
[ "${grub_scan_disk}" = "both" ] || \
x_ "${cbfstool}" "${tmprom}" add -f "${tmpcfg}" -n scan.cfg -t raw
- x_ printf "set timeout=%s\n" "${grub_timeout}" > "${tmpcfg}"
+ printf "set timeout=%s\n" "${grub_timeout}" > "${tmpcfg}" || \
+ err "set timeout, ${grub_timeout}, ${tmpcfg}"
[ -z "${grub_timeout}" ] || x_ "${cbfstool}" "${tmprom}" add \
-f "${tmpcfg}" -n timeout.cfg -t raw
x_ rm -f "${tmpcfg}"